#!/usr/bin/python3

import http.client, urllib.parse
import json

def format_adress(a):
  sa = a['streetAddress'].split(',')
  street = sa[0].strip()
  city = sa[1].strip()
  return "%s\n%s %s\n%s, %s\n%s" % (a['name'],a['firstName'],a['lastName'],street,city,a['telephone'])

token='eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJpYXQiOjE1NjA4NTEzODgsImV4cCI6MTU2MTQ1NjE4OCwicm9sZXMiOlsiUk9MRV9DT1VSSUVSIiwiUk9MRV9BRE1JTiIsIlJPTEVfVVNFUiJdLCJ1c2VybmFtZSI6ImxpbGxlX2Jpa2UifQ.nM6KgUCfokYstEzvfH5zYcpuZVOYoagbcycwfyrnr0lkeldlc_OlhRt94VYYQtVyEHVMcoGwrcQqQhL5lzrFni47PLuhnzS_ZzDsDQytg5gD0gcoAIAUiGo2ltzDuG54gnpEPJKe64MxFWs_DijlllCqFnPZSZH0JbLqWyZ3Dlee-7LCPVPNwWKr-byTRlgerRMe-4tYTRhJew89RRVCyMzbB4Rs9SYuN45imEWy7SuFbggoHghmn8OFVvshOLG4uHSojUBjVIzLcxNenaWfbVBYMzh72pCLo7cdwNQT1qDTZVCttc9YhCfIep25sWQG4m0eAdwbc23GdsEF--sIx_rjatcUJEvlGY2fEOQHRp4ekHEFqKe2WJNz9byIvSV5CPKUEtcGDWeGXwegSRPJRDPXBsnYx_7GCqjMZNO_ZK6YZhhtbg1sUtrM4kcsJHZKUceALxLo6ytjktbLCH_AdMP5N-hglvO29Ny7HzTkpfB0S2RBe7MS6Zozt3DwFW5VILcRjIoFFWzNFPS5vUKpLPHxJHogMHzIx-0ybKBhZhMILBG4NrXToirh1XxeoG-QyYC0NlrqFU4LCoOQikSAm_NPnqUDmb7RCXLGyOab7Ani2R1FzYB2QZZaeL_TgLZNpy7bU8nNkvK6CGjZjVp0dE6BESKVrbJtStK9uyyJ8qE'
key='Hia2Tai5ooX2Aeche8ee'
date='2019-06-17'

conn = http.client.HTTPConnection("serveur.kaisser.name")
conn.request("GET", "/lille.bike/index.php/courses/magasins?key=%s" % (key))
response = conn.getresponse()
magasins = json.loads(response.read().decode())
conn.close()

params = urllib.parse.urlencode({})
headers = {"Authorization":"Bearer %s" % (token),"Content-Type":"application/ld+json"}
conn = http.client.HTTPSConnection("lille.coopcycle.org")
conn.request("GET", "/api/tasks?date=%s" % (date), params, headers)
response = conn.getresponse()
json = json.loads(response.read().decode())
tasks = json['hydra:member']
conn.close()

pickups = filter(lambda t: t['type'] == 'PICKUP' and t['status'] == 'TODO',tasks)

for task in pickups:
  id_next = int(task['next'].split('/')[-1:][0])
  next_task = list(filter(lambda t: t['id'] == id_next,tasks))[0]
  address=task['address']
  print("Client ID : %s" % list(filter(lambda m: m['nom'].lower().strip() == address['name'].lower().strip(),magasins))[0]['client_id'])
  print(format_adress(address))
  print(format_adress(next_task['address']))
  print()

conn.close()
